Connect an SMS provider (logged)
package main
import ( "fmt" "strings" "net/http" "io")
func main() {
url := "https://reputecast.example.com/api/v1/workspaces/acme-newsletter/sms/providers"
payload := strings.NewReader("{ \"adapter\": \"example\", \"fields\": { \"additionalProperty\": \"example\" }, \"name\": \"example\", \"setupId\": \"example\" }")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>") req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close() body, _ := io.ReadAll(res.Body)
fmt.Println(res) fmt.Println(string(body))
}const url = 'https://reputecast.example.com/api/v1/workspaces/acme-newsletter/sms/providers';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"adapter":"example","fields":{"additionalProperty":"example"},"name":"example","setupId":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://reputecast.example.com/api/v1/workspaces/acme-newsletter/sms/providers \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "adapter": "example", "fields": { "additionalProperty": "example" }, "name": "example", "setupId": "example" }'Permission: providers:manage (sensitive)
Checks the credentials, registers the receipt and inbound webhooks where the API allows it, and lists the numbers in the account. Credentials are sealed and never returned.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Workspace slug
Workspace slug
Request Bodyrequired
Section titled “Request Bodyrequired”object
object
Example generated
{ "adapter": "example", "fields": { "additionalProperty": "example" }, "name": "example", "setupId": "example"}Responses
Section titled “Responses”Created
object
object
object
object
object
Example
{ "senders": [ { "kind": "toll_free", "registration": { "kind": "toll_free", "source": "api", "status": "not_registered" } } ], "webhooks": { "mode": "registered" }}default
Section titled “default”Error
object
Stable error code, e.g. permission_denied
A human-readable explanation specific to this occurrence of the problem.
Optional list of individual error details
object
Where the error occurred, e.g. ‘body.items[3].tags’ or ‘path.thing-id’
Error message text
The value at the given location
Members who hold the missing permission
A URI reference that identifies the specific occurrence of the problem.
object
The missing permission key
HTTP status code
A short, human-readable summary of the problem type. This value should not change between occurrences of the error.
A URI reference to human-readable documentation for the error.
Example
{ "detail": "Property foo is required but is missing.", "instance": "https://example.com/error-log/abc123", "status": 400, "title": "Bad Request", "type": "about:blank"}